Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 712732 - net-irc/sic-1.2-r1 : sic.c: error: storage size of tv isnt known
Summary: net-irc/sic-1.2-r1 : sic.c: error: storage size of tv isnt known
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo musl team
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: missing-musl-includes
  Show dependency tree
 
Reported: 2020-03-15 16:55 UTC by Toralf Förster
Modified: 2020-08-30 00:10 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.61 KB, text/plain)
2020-03-15 16:55 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,139.14 KB, text/plain)
2020-03-15 16:55 UTC, Toralf Förster
Details
environment (environment,45.42 KB, text/plain)
2020-03-15 16:55 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,13.13 KB, application/x-bzip)
2020-03-15 16:55 UTC, Toralf Förster
Details
net-irc:sic-1.2-r1:20200315-162527.log (net-irc:sic-1.2-r1:20200315-162527.log,3.17 KB, text/plain)
2020-03-15 16:55 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,12.54 KB, application/x-bzip)
2020-03-15 16:55 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-15 16:55:40 UTC
      |        ^
sic.c: In function main:
sic.c:137:17: error: storage size of tv isnt known
  137 |  struct timeval tv;
      |                 ^~
sic.c:139:2: error: unknown type name fd_set

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_musl-20200311-204810

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-gentoo-linux-musl-9.2.0 *
 [2] x86_64-gentoo-linux-musl-9.3.0
clang version 10.0.0 
Target: x86_64-gentoo-linux-musl
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.41.1
  [2]   rust-1.41.1 *
The following VMs are available for generation-2:

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 15 Mar 2020 15:38:43 +0000
emerge -qpvO net-irc/sic
[ebuild  N    ] net-irc/sic-1.2-r1
Comment 1 Toralf Förster gentoo-dev 2020-03-15 16:55:43 UTC
Created attachment 619890 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-15 16:55:46 UTC
Created attachment 619892 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-03-15 16:55:49 UTC
Created attachment 619894 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-03-15 16:55:52 UTC
Created attachment 619896 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-03-15 16:55:55 UTC
Created attachment 619898 [details]
net-irc:sic-1.2-r1:20200315-162527.log
Comment 6 Toralf Förster gentoo-dev 2020-03-15 16:55:58 UTC
Created attachment 619900 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-03-16 16:12:17 UTC
The first attempt to tinderbox a musl image failed at all.

I'll mass close therefore all filed bug reports of the last days related to this tinderbox image.

Please feel free to re-open if you think that the bug is real in musl and not fixed by the musl overlay.
Comment 8 Sam James archtester gentoo-dev Security 2020-03-31 19:11:43 UTC
Alpine patch: https://git.alpinelinux.org/aports/tree/main/sic/musl-fix.patch
Comment 9 Larry the Git Cow gentoo-dev 2020-08-30 00:10:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7802529ba5f3ea879e99fd96c00d7a3d07fd7e6f

commit 7802529ba5f3ea879e99fd96c00d7a3d07fd7e6f
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-08-30 00:07:57 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-08-30 00:10:08 +0000

    net-irc/sic: fix musl, clang builds
    
    Closes: https://bugs.gentoo.org/712732
    Closes: https://bugs.gentoo.org/731168
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 net-irc/sic/files/sic-1.2-include-path.patch      | 13 +++++++++
 net-irc/sic/files/sic-1.2-musl-time-include.patch | 32 +++++++++++++++++++++++
 net-irc/sic/sic-1.2-r1.ebuild                     | 14 +++++++---
 3 files changed, 55 insertions(+), 4 deletions(-)